package com.diagbot.facade;

import com.diagbot.dto.RetrievalDTO;
import com.diagbot.service.impl.RetrievalServiceImpl;
import com.diagbot.vo.RetrievalVO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/27 14:54
 */
@Component
public class RetrievalFacade extends RetrievalServiceImpl {

    /**
     * 获取标签信息
     * @param retrievalVO
     * @return
     */
    public List<RetrievalDTO> getTagInfos(RetrievalVO retrievalVO) {
        List<RetrievalDTO> data =new ArrayList<>();
        if(retrievalVO.getInputStr() == null || retrievalVO.getInputStr().isEmpty()){
            data = new ArrayList<>();
            return data;
        }
        data = this.getSymptopInfo(retrievalVO);
        return data;
    }
}
